std::numeric_limits< double > Struct Reference

`#include <limits>`

## Static Public Member Functions

static constexpr double | denorm_min () noexcept
static constexpr double | epsilon () noexcept
static constexpr double | infinity () noexcept
static constexpr double | lowest () noexcept
static constexpr double | max () noexcept
static constexpr double | min () noexcept
static constexpr double | quiet_NaN () noexcept
static constexpr double | round_error () noexcept
static constexpr double | signaling_NaN () noexcept

## Static Public Attributes

static constexpr int | digits
static constexpr int | digits10
static constexpr float_denorm_style | has_denorm
static constexpr bool | has_denorm_loss
static constexpr bool | has_infinity
static constexpr bool | has_quiet_NaN
static constexpr bool | has_signaling_NaN
static constexpr bool | is_bounded
static constexpr bool | is_exact
static constexpr bool | is_iec559
static constexpr bool | is_integer
static constexpr bool | is_modulo
static constexpr bool | is_signed
static constexpr bool | is_specialized
static constexpr int | max_digits10
static constexpr int | max_exponent
static constexpr int | max_exponent10
static constexpr int | min_exponent
static constexpr int | min_exponent10
static constexpr int | radix
static constexpr float_round_style | round_style
static constexpr bool | tinyness_before
static constexpr bool | traps

## Detailed Description

numeric_limits<double> specialization.

Definition at line 1743 of file limits.

## Member Function Documentation

## denorm_min()

static constexpr double std::numeric_limits< double >::denorm_min | ( |  | ) |

inline static constexpr noexcept

Definition at line 1798 of file limits.

## epsilon()

static constexpr double std::numeric_limits< double >::epsilon | ( |  | ) |

inline static constexpr noexcept

Definition at line 1770 of file limits.

## infinity()

static constexpr double std::numeric_limits< double >::infinity | ( |  | ) |

inline static constexpr noexcept

Definition at line 1789 of file limits.

## lowest()

static constexpr double std::numeric_limits< double >::lowest | ( |  | ) |

inline static constexpr noexcept

Definition at line 1755 of file limits.

## max()

static constexpr double std::numeric_limits< double >::max | ( |  | ) |

inline static constexpr noexcept

Definition at line 1751 of file limits.

## min()

static constexpr double std::numeric_limits< double >::min | ( |  | ) |

inline static constexpr noexcept

Definition at line 1748 of file limits.

## quiet_NaN()

static constexpr double std::numeric_limits< double >::quiet_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 1792 of file limits.

## round_error()

static constexpr double std::numeric_limits< double >::round_error | ( |  | ) |

inline static constexpr noexcept

Definition at line 1773 of file limits.

## signaling_NaN()

static constexpr double std::numeric_limits< double >::signaling_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 1795 of file limits.

## Member Data Documentation

## digits

constexpr int std::numeric_limits< double >::digits

static constexpr

Definition at line 1758 of file limits.

## digits10

constexpr int std::numeric_limits< double >::digits10

static constexpr

Definition at line 1759 of file limits.

## has_denorm

constexpr float_denorm_style std::numeric_limits< double >::has_denorm

static constexpr

Definition at line 1783 of file limits.

## has_denorm_loss

constexpr bool std::numeric_limits< double >::has_denorm_loss

static constexpr

Definition at line 1785 of file limits.

## has_infinity

constexpr bool std::numeric_limits< double >::has_infinity

static constexpr

Definition at line 1780 of file limits.

## has_quiet_NaN

constexpr bool std::numeric_limits< double >::has_quiet_NaN

static constexpr

Definition at line 1781 of file limits.

## has_signaling_NaN

constexpr bool std::numeric_limits< double >::has_signaling_NaN

static constexpr

Definition at line 1782 of file limits.

## is_bounded

constexpr bool std::numeric_limits< double >::is_bounded

static constexpr

Definition at line 1802 of file limits.

## is_exact

constexpr bool std::numeric_limits< double >::is_exact

static constexpr

Definition at line 1766 of file limits.

## is_iec559

constexpr bool std::numeric_limits< double >::is_iec559

static constexpr

Definition at line 1800 of file limits.

## is_integer

constexpr bool std::numeric_limits< double >::is_integer

static constexpr

Definition at line 1765 of file limits.

## is_modulo

constexpr bool std::numeric_limits< double >::is_modulo

static constexpr

Definition at line 1803 of file limits.

## is_signed

constexpr bool std::numeric_limits< double >::is_signed

static constexpr

Definition at line 1764 of file limits.

## is_specialized

constexpr bool std::numeric_limits< double >::is_specialized

static constexpr

Definition at line 1745 of file limits.

## max_digits10

constexpr int std::numeric_limits< double >::max_digits10

static constexpr

Definition at line 1761 of file limits.

## max_exponent

constexpr int std::numeric_limits< double >::max_exponent

static constexpr

Definition at line 1777 of file limits.

## max_exponent10

constexpr int std::numeric_limits< double >::max_exponent10

static constexpr

Definition at line 1778 of file limits.

## min_exponent

constexpr int std::numeric_limits< double >::min_exponent

static constexpr

Definition at line 1775 of file limits.

## min_exponent10

constexpr int std::numeric_limits< double >::min_exponent10

static constexpr

Definition at line 1776 of file limits.

## radix

constexpr int std::numeric_limits< double >::radix

static constexpr

Definition at line 1767 of file limits.

## round_style

constexpr float_round_style std::numeric_limits< double >::round_style

static constexpr

Definition at line 1808 of file limits.

## tinyness_before

constexpr bool std::numeric_limits< double >::tinyness_before

static constexpr

Definition at line 1806 of file limits.

## traps

constexpr bool std::numeric_limits< double >::traps

static constexpr

Definition at line 1805 of file limits.

The documentation for this struct was generated from the following file:

- limits